<template>
    <div>
        <base-header class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center">
            <!-- Mask -->
        </base-header>
        <div class="container-fluid mt--7">
            <div class="row">
                <div class="col">
                    <div class="card shadow">
                        <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                            <h3 class="mb-0">
                                {{title}}
                            </h3>
                            </div>
                        </div>
                    </div>
                    <div class="pl-lg-4">
                    <div class="row">
                        <div class="col-lg-6">
                                <base-input alternative=""
                                        label="Search"
                                        placeholder="Search on enter"
                                        input-classes="form-control-alternative"
                                        v-model="filter"
                                        v-on:keyup.13="searchTopic()"
                                />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <button class="btn btn-lg btn-primary" type="button" @click="clearSearch()">Clear</button>
                        </div>
                    </div>
                    </div>
                        <div class="table-responsive">
                        <table class="table align-items-center table-flush text-center" >
                            <tr>
                                <th>No.</th>
                                <th>Topic</th>
                                <th>Example</th>
                            </tr>

                            <tr v-for="(topic,index) in tableData" :key="topic.topic_id">
                            <td>{{index+1}}</td>
                            <td class="text-left">
                                <span>{{topic.topic}}</span>
                            </td>
                            <td>
                                <span @click="goEx(topic.topic_id)"><router-link class="text-blue" to="#"> Example command</router-link></span>
                            </td>

                            </tr>

                        </table>
                        </div>
                    </div>
                </div>
            </div>
    </div>
</div>
</template>
<script>

  export default {
    name: 'all-topic',
    data() {
      return {
        title: 'All Topic',
        tableData : [],
        message : '',
        filter : null
      }
    },
    created() {
        this.updateData()
        
    },
    methods: {
        getData(){
            this.$http.get('/manage/alltopic/'+localStorage.user_id)
            .then(response => {
                if(!response.data.message){
                    this.tableData = response.data
                }else{
                    this.message = response.data.message
                }
          })
        },
        updateData(){
            this.$http.get('/manage/alltopic/'+localStorage.user_id+'/update')
            .then(response => {
                this.message = response.data.message
                this.getData()
          })
        },
        searchTopic(){
            console.log(this.filter)
            this.$http.post('/manage/alltopic/'+localStorage.user_id,{
                search : this.filter
            })
            .then(response => {
                if(!response.data.message){
                    this.tableData = response.data
                }else{
                    this.message = response.data.message
                }
          })
        },
        clearSearch(){
            this.filter = ''
            this.getData()
        },
        goEx(topic_id){
            localStorage.topic_id = topic_id
            this.$router.push('/example')
        }
    },
  };
</script>